
From: Matt Gillette <matt.gillette@netcell.com>

Adds support for Netcell Revolution to pci-ide generic driver by including
it in the list of devices matched.  Includes the Revolution in the list of
simplex devices forced into DMA mode.

Signed-off-by: Matt Gillette <matt.gillette@netcell.com>
Cc: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ide/pci/generic.c |    7 +++++++
 drivers/ide/setup-pci.c   |    1 +
 include/linux/pci_ids.h   |    3 +++
 3 files changed, 11 insertions(+)

diff -puN drivers/ide/pci/generic.c~ide-add-support-for-netcell-revolution-to-pci-ide-generic-driver drivers/ide/pci/generic.c
--- devel/drivers/ide/pci/generic.c~ide-add-support-for-netcell-revolution-to-pci-ide-generic-driver	2005-07-26 18:10:37.000000000 -0700
+++ devel-akpm/drivers/ide/pci/generic.c	2005-07-26 18:10:37.000000000 -0700
@@ -173,6 +173,12 @@ static ide_pci_device_t generic_chipsets
 		.channels	= 2,
 		.autodma	= NOAUTODMA,
 		.bootable	= ON_BOARD,
+	},{	/* 14 */
+		.name		= "Revolution",
+		.init_hwif      = init_hwif_generic,
+		.channels       = 2,
+		.autodma        = AUTODMA,
+		.bootable       = OFF_BOARD,
 	}
 };
 
@@ -231,6 +237,7 @@ static struct pci_device_id generic_pci_
 	{ PCI_VENDOR_ID_TOSHIBA,PCI_DEVICE_ID_TOSHIBA_PICCOLO,     PCI_ANY_ID, PCI_ANY_ID, 0, 0, 11},
 	{ PCI_VENDOR_ID_TOSHIBA,PCI_DEVICE_ID_TOSHIBA_PICCOLO_1,   PCI_ANY_ID, PCI_ANY_ID, 0, 0, 12},
 	{ PCI_VENDOR_ID_TOSHIBA,PCI_DEVICE_ID_TOSHIBA_PICCOLO_2,   PCI_ANY_ID, PCI_ANY_ID, 0, 0, 13},
+	{ PCI_VENDOR_ID_NETCELL,PCI_DEVICE_ID_REVOLUTION,          PCI_ANY_ID, PCI_ANY_ID, 0, 0, 14},
 	/* Must come last. If you add entries adjust this table appropriately and the init_one code */
 	{ PCI_ANY_ID,		PCI_ANY_ID,			   PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_STORAGE_IDE << 8, 0xFFFFFF00UL, 0},
 	{ 0, },
diff -puN drivers/ide/setup-pci.c~ide-add-support-for-netcell-revolution-to-pci-ide-generic-driver drivers/ide/setup-pci.c
--- devel/drivers/ide/setup-pci.c~ide-add-support-for-netcell-revolution-to-pci-ide-generic-driver	2005-07-26 18:10:37.000000000 -0700
+++ devel-akpm/drivers/ide/setup-pci.c	2005-07-26 18:10:37.000000000 -0700
@@ -229,6 +229,7 @@ second_chance_to_dma:
 			case PCI_DEVICE_ID_AMD_VIPER_7409:
 			case PCI_DEVICE_ID_CMD_643:
 			case PCI_DEVICE_ID_SERVERWORKS_CSB5IDE:
+			case PCI_DEVICE_ID_REVOLUTION:
 				simplex_stat = hwif->INB(dma_base + 2);
 				hwif->OUTB((simplex_stat&0x60),(dma_base + 2));
 				simplex_stat = hwif->INB(dma_base + 2);
diff -puN include/linux/pci_ids.h~ide-add-support-for-netcell-revolution-to-pci-ide-generic-driver include/linux/pci_ids.h
--- devel/include/linux/pci_ids.h~ide-add-support-for-netcell-revolution-to-pci-ide-generic-driver	2005-07-26 18:10:37.000000000 -0700
+++ devel-akpm/include/linux/pci_ids.h	2005-07-26 18:10:37.000000000 -0700
@@ -2184,6 +2184,9 @@
 #define PCI_VENDOR_ID_SIBYTE		0x166d
 #define PCI_DEVICE_ID_BCM1250_HT	0x0002
 
+#define PCI_VENDOR_ID_NETCELL		0x169c
+#define PCI_DEVICE_ID_REVOLUTION	0x0044
+
 #define PCI_VENDOR_ID_LINKSYS		0x1737
 #define PCI_DEVICE_ID_LINKSYS_EG1032	0x1032
 #define PCI_DEVICE_ID_LINKSYS_EG1064	0x1064
_
